<?php
/*
Plugin Name: Rows Per Page - in backend (EasyToolsWP)
Plugin URI: https://www.easytoolswp.com/plugins/rows-pr-page-backend.zip
Description: Tilføjer en dropdown i admin-området til at vælge antal rækker pr. side.
Version: 1.1
Author: EasyToolsWP.com
*/

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

// Hook ind i admin-krogen for at tilføje dropdown
add_action('manage_posts_extra_tablenav', 'add_products_per_page_dropdown');

function add_products_per_page_dropdown($which) {
    if ($which == 'top') {
        $selected = isset($_GET['products_per_page']) ? intval($_GET['products_per_page']) : 20;
        ?>
        <div class="alignleft actions">
            <select name="products_per_page" id="products_per_page">
                <option value="20" <?php selected($selected, 20); ?>>20</option>
                <option value="50" <?php selected($selected, 50); ?>>50</option>
                <option value="75" <?php selected($selected, 75); ?>>75</option>
                <option value="100" <?php selected($selected, 100); ?>>100</option>
            </select>
            <input type="submit" name="filter_action" id="post-query-submit" class="button" value="Rows">
        </div>
        <?php
    }
}

// Juster antal indlæg/sider pr. side baseret på valgt dropdown-værdi
add_filter('edit_posts_per_page', 'set_posts_per_page', 10, 2);
add_filter('edit_pages_per_page', 'set_posts_per_page', 10, 2);
add_filter('edit_woocommerce_page_edit', 'set_posts_per_page', 10, 2);

function set_posts_per_page($per_page, $post_type) {
    if (isset($_GET['products_per_page'])) {
        $per_page = intval($_GET['products_per_page']);
    }
    return $per_page;
}
